# Class ClientReadableStream<RESP>

#### Type Parameters

- #### RESP

#### Hierarchy

- ClientReadableStream

- Defined in node_modules/grpc-web/index.d.ts:29

#####
Index

### Constructors

constructor

### Methods

cancel
on
removeListener

## Constructors

### constructor

- new ClientReadableStream<RESP>(): ClientReadableStream<RESP>

- #### Type Parameters

  - #### RESP

  #### Returns ClientReadableStream<RESP>

## Methods

### cancel

- cancel(): void

- #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:52

### on

- on(eventType: "error", callback: ((err: RpcError) => void)): ClientReadableStream<RESP>

- #### Parameters

  - ##### eventType: "error"

  - ##### callback: ((err: RpcError) => void)

    - - (err: RpcError): void

      - #### Parameters

        - ##### err: RpcError

        #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:30
- on(eventType: "status", callback: ((status: Status) => void)): ClientReadableStream<RESP>

- #### Parameters

  - ##### eventType: "status"

  - ##### callback: ((status: Status) => void)

    - - (status: Status): void

      - #### Parameters

        - ##### status: Status

        #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:32
- on(eventType: "metadata", callback: ((status: Metadata) => void)): ClientReadableStream<RESP>

- #### Parameters

  - ##### eventType: "metadata"

  - ##### callback: ((status: Metadata) => void)

    - - (status: Metadata): void

      - #### Parameters

        - ##### status: Metadata

        #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:34
- on(eventType: "data", callback: ((response: RESP) => void)): ClientReadableStream<RESP>

- #### Parameters

  - ##### eventType: "data"

  - ##### callback: ((response: RESP) => void)

    - - (response: RESP): void

      - #### Parameters

        - ##### response: RESP

        #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:36
- on(eventType: "end", callback: (() => void)): ClientReadableStream<RESP>

- #### Parameters

  - ##### eventType: "end"

  - ##### callback: (() => void)

    - - (): void

      - #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:38

### removeListener

- removeListener(eventType: "error", callback: ((err: RpcError) => void)): void

- #### Parameters

  - ##### eventType: "error"

  - ##### callback: ((err: RpcError) => void)

    - - (err: RpcError): void

      - #### Parameters

        - ##### err: RpcError

        #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:41
- removeListener(eventType: "status", callback: ((status: Status) => void)): void

- #### Parameters

  - ##### eventType: "status"

  - ##### callback: ((status: Status) => void)

    - - (status: Status): void

      - #### Parameters

        - ##### status: Status

        #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:43
- removeListener(eventType: "metadata", callback: ((status: Metadata) => void)): void

- #### Parameters

  - ##### eventType: "metadata"

  - ##### callback: ((status: Metadata) => void)

    - - (status: Metadata): void

      - #### Parameters

        - ##### status: Metadata

        #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:45
- removeListener(eventType: "data", callback: ((response: RESP) => void)): void

- #### Parameters

  - ##### eventType: "data"

  - ##### callback: ((response: RESP) => void)

    - - (response: RESP): void

      - #### Parameters

        - ##### response: RESP

        #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:47
- removeListener(eventType: "end", callback: (() => void)): void

- #### Parameters

  - ##### eventType: "end"

  - ##### callback: (() => void)

    - - (): void

      - #### Returns void

  - Defined in node_modules/grpc-web/index.d.ts:49

Generated using TypeDoc